# Certn API Documentation

> Source: https://centric-api-docs.certn.co/#check-NE_CRIMINAL_RECORD_1

### Niger Criminal Record Check

**Niger Criminal Record Check**

**Identifier:** `NE_CRIMINAL_RECORD_1`

Criminal record check for Niger

### Request Examples

#### Invite via CRIMINAL_RECORD_REPORT_1 (Employment)

Order NE_CRIMINAL_RECORD_1 via invite through parent check CRIMINAL_RECORD_REPORT_1. Applicant completes a secure form to provide their details.

```json

{
  "email_address": "applicant@example.com",
  "send_invite_email": true,
  "check_types_with_arguments": {
    "CRIMINAL_RECORD_REPORT_1": {
      "ordering_type": "EXPLICIT_ORDERING",
      "explicit_check_type": [
        "NE_CRIMINAL_RECORD_1"
      ]
    },
    "IDENTITY_VERIFICATION_1": {}
  },
  "permissible_purpose": "EMPLOYMENT"
}

```

#### Invite via CRIMINAL_RECORD_REPORT_1 (Tenancy)

Order NE_CRIMINAL_RECORD_1 via invite through parent check CRIMINAL_RECORD_REPORT_1. Applicant completes a secure form to provide their details.

```json

{
  "email_address": "applicant@example.com",
  "send_invite_email": true,
  "check_types_with_arguments": {
    "CRIMINAL_RECORD_REPORT_1": {
      "ordering_type": "EXPLICIT_ORDERING",
      "explicit_check_type": [
        "NE_CRIMINAL_RECORD_1"
      ]
    },
    "IDENTITY_VERIFICATION_1": {}
  },
  "permissible_purpose": "TENANCY"
}

```

### Explicit Ordering

*When ordering this child via its parent.*

```json

{
  "CRIMINAL_RECORD_REPORT_1": {
    "ordering_type": "EXPLICIT_ORDERING",
    "explicit_check_type": [
      "NE_CRIMINAL_RECORD_1"
    ]
  }
}

```

**Note:** This check is ordered via invite or through a parent check. Applicant data is collected via the invite form and is not sent in the API request body.

### Response

**201 Created** — Successfully ordered. Use the returned `id` to retrieve the full case via `GET /api/public/cases/{id}/`.

### Error codes

| Status | Type | Description |
|--------|------|-------------|
| 400 | `validation_error` | Invalid request data |
| 401 | `client_error` | Authentication failed |
| 403 | `client_error` | Permission denied |
| 422 | `validation_error` | Request validation failed (e.g. missing required fields) |
